Bug 25709 - 389-ds-base Installation failed: file conflicts (wrongly bundled library)
Summary: 389-ds-base Installation failed: file conflicts (wrongly bundled library)
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 7
Hardware: x86_64 Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-19 10:12 CET by Vladislav Kantor
Modified: 2019-11-25 08:28 CET (History)
1 user (show)

See Also:
Source RPM: 389-ds-base-1.4.0.18-4.mga7.src.rpm
CVE:
Status comment:


Attachments

Description Vladislav Kantor 2019-11-19 10:12:17 CET
389-ds Installation failed

Installation failed: file /usr/lib64/libsvrcore.so.0.0.0 from lib64svrcore0-4.1.2-2.mga7.x86_64 installation conflicts with file from package lib64389-ds-base0-1.4.0.18-4.mga7.x86_64

and

file /usr/lib64/pkgconfig/svrcore.pc conflict between installed lib64389-ds-base-devel-1.4.0.18-4.mga7.x86_64 and lib64svrcore-devel-4.1.2-2.mga7.x86_64

In packages is same file:

urpmf /usr/lib64/pkgconfig/svrcore.pc
lib64svrcore-devel:/usr/lib64/pkgconfig/svrcore.pc
lib64389-ds-base-devel:/usr/lib64/pkgconfig/svrcore.pc

and

urpmf /usr/lib64/libsvrcore.so.0.0.0
lib64svrcore0:/usr/lib64/libsvrcore.so.0.0.0
lib64389-ds-base0:/usr/lib64/libsvrcore.so.0.0.0

Version-Release number of selected component (if applicable):

lib64389-ds-base0-1.4.0.18-4.mga7, lib64389-ds-base-devel-1.4.0.18-4.mga7
David Walser 2019-11-19 13:01:43 CET

CC: (none) => mrambo
Assignee: bugsquad => pkg-bugs
Summary: Installation failed: conflicts file => 389-ds-base Installation failed: file conflicts (wrongly bundled library)

Comment 1 Jani Välimaa 2019-11-24 13:10:05 CET
svrcore was merged into 389-ds-base and is now splitted out from it. Please test updated pkgs from core/udpates_testing.

SRPM:
389-ds-base-1.4.0.18-4.1.mga7

RPM:
389-ds-base-1.4.0.18-4.1.mga7
lib(64)389-ds-base0-1.4.0.18-4.1.mga7
lib(64)389-ds-base-devel-1.4.0.18-4.1.mga7
389-ds-base-snmp-1.4.0.18-4.1.mga7
cockpit-389-ds-1.4.0.18-4.1.mga7
lib(64)svrcore0-1.4.0.18-4.1.mga7
lib(64)svrcore-devel-1.4.0.18-4.1.mga7

Assignee: pkg-bugs => qa-bugs

Comment 2 Vladislav Kantor 2019-11-25 08:28:18 CET
I tested pkgs from core / udpates_testing.
Installation was successful, no file conflicts
389-ds server works.

Note You need to log in before you can comment on or make changes to this bug.